/*
	ProWesS, PROGS Windowing System

	PWJobCreate 	create PWJob data for the current job (if not yet exists)

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 14 January 1995
*/

#include <sms.h>
#include <job.h>
#include <time.h>
#include "ProWesS.h"

/* wait for approx 10sec. */
#define wait { Time start, curr;        \
		TIMEGet(&start);				\
		do {                            \
			JOBSuspend(MYSELF,1,NULL);	\
			TIMEGet(&curr); 			\
		} while (start+10>curr);		\
	}

Error exit(PWObject object)
{
	return PWChange(object,PW_SYSTEM_BREAKDOWN,NULL);
} 

Error init()
{
	PWObject first;

/*	  wait; */
	PWCreate(NULL,&first,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "hello world",
				PW_LOOSE_ACTION_HIT, exit,
				NULL);
	PWActivate(first);
/*	  PWActivate(first);
	PWActivate(first); */
	PWRemove(first);
/*	  wait; */
	return ERR_OK;
}
