/*
	ProWesS, PROGS Windowing System

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 17 February 1995
*/

#include "sms_h"
#include "ProWesS_h"

Error exit(PWObject object)
{
	return PWChange(object,PW_SYSTEM_BREAKDOWN,NULL);
}

void init()
{
	PWObject first,second,third,forth,fifth;

	PWCreate(NULL,&first,PW_TYPE_TITLE_ITEM,
				PW_TITLE_TEXT, "beep on exit",
				NULL);
	PWCreate(first,&second,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "just an item or two",
				PW_POSITION_BELOW, first,
				NULL);
	PWCreate(first,&third,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "to test",
				PW_POSITION_BELOW, second,
				NULL);
	PWCreate(first,&forth,PW_TYPE_SEPARATOR,
				PW_POSITION_BELOW, third,
				NULL);
	PWCreate(first,NULL,PW_TYPE_LOOSE_ITEM,
				PW_LOOSE_TEXT, "quit",
				PW_POSITION_BELOW, forth,
				PW_LOOSE_ACTION_HIT,&exit,
				NULL);
	PWActivate(first);
}
