
* syntax: result%=IS_OPEN [(#chan%)]
; this function returns 1 if channel chan% is open, 0 if not
; if no channel is given, channel 0 is used
; v. 1.00 	1996 Aug 06 10:46:57
; copyright (c) W. Lenerz 1996

	section	text
	xdef	is_open
	xref	rt_int
	xdef	chan_num

is_open	BSR.S	chan_num		; get ID of channel passed, or of channel #0
	BNE.S	nochan		; if error, channel is not open!
	MOVEQ	#1,D4		; channel is open
	BRA	rt_int
nochan	MOVEQ	#0,D4		; this channel isn't open
	BRA	rt_int

 
; get channel ID of channel number passed, or use channel #0 as default
chan_num	MOVEQ	#0,D0		; preset canal#0
	MOVE.B	1(A6,A3.L),D1	; On vrifie si le premier sparateur
	ANDI.B	#128,D1		; tait '#', alors un canal a t don-
	BEQ.S	getchan		; n, sinon on suppose canal #1
	MOVE.L	A5,D5		; sauvegarde du pointeur
	MOVE.L	A3,A5
	ADDQ.L	#8,A5		; A5= A3 + 8, donc on recherche 1 param
	MOVE.W	$112,A2		; Vecteur $112, place un param. entier sur
	JSR	(A2)		; la pile pointe par 0(A6,A1.L)
	ADDQ.L	#2,$58(A6)	; reset maths stck pointer
	ADDQ.L	#8,A3		; On limine le param qu'on a cherch
	MOVE.L	D5,A5		; retour du pointeur
	TST.L	D0
	BNE.S	get_out		; Si erreur, D0 contient code erreur
	MOVE.W	0(A6,A1.L),D0	; D0=param
getchan	MOVE.L	$30(A6),A0	; A0=Dbut table canaux Basic
	MULU	#$28,D0			         ;
	ADD.L	D0,A0		; lment voulu dans la table
	CMP.L	$34(A6),A0	; si suprieur, on est sorti de la
	BGE.S	geterr		; table, donc erreur 'not found'
	MOVE.L	0(A6,A0.L),D0	; ID canal dans D0. Si<0, le canal est
	BLT.S	geterr		; ferm
	MOVE.L	D0,A0		; A0=ID canal
get_ok	MOVEQ	#$0,D0		; signaler 'pas d'erreur'
get_out	RTS
geterr	MOVEQ	#-6,D0		; signaler erreur 'not found'
	RTS

	end
