; this is the PWbreak keyword for the Prowess Sbasic interface
; v. 1.00         1996 May 12 16:09:02
;  copyright (c) W. Lenerz 1996



*************************************************************************
*
* This is the PWbreak keyword
*
* syntax: PWbreak object
*
* where: object is the object used by the PWactivate call
*
***************************************************************************



         section  pwbreak

         xdef     pwbreak

         include  asm_includes_asm

         xref     _pwchange
         xref     gmem              ; get mem in my format (prowess_asm_gmem)
         xref     get_long          ; get params & push onto stack (prowess_asm_getparams)
         xref     e_o               ; rel mem & rts with error (prowess_asm_pwactivate)
         xref     err_out

pwbreak  BSR      gmem              ; get some memory
         MOVE.L   #0,-(A4)
         MOVE.L   #PW_SYSTEM_BREAKDOWN,-(A4) ; breakdown this system
         BSR      get_long          ; get & push parameter onto stack
         BNE      e_o               ; oops
         MOVE.L   A4,A7             ; new stack pointer
         BSR      _pwchange         ; Prowess does all the work
         BRA      err_out           ; this releses mem & returns with or...
                                    ; ...w/o error as returned by prowess



         end
